FFLUSH(3)

NAME
fflush - flush a stream

SYNOPSIS
#include <stdio.h>

int fflush(FILE *stream);

DESCRIPTION
The function fflush forces a write of all buffered data for the given output or update stream via the stream's underlying write function. The open status of the stream is unaffected.

If the stream argument is NULL, fflush flushes all open output streams.

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, EOF is returned and the global variable errno is set to indicate the error.

ERRORS

EBADF
    Stream is not an open stream, or is not open for writing.

The function fflush may also fail and set errno for any of the errors specified for the routine write(2).

SEE ALSO
write(2), fopen(3), fclose(3), setbuf(3)

CONFORMING TO
The fflush function conforms to ANSI C3.159-1989 (``ANSI C'').